Subject: 28.0.50; Regression: Unrecognized style region in mhtml-mode

From: Simen Heggestøyl <[email-masked]>
Date: Sun, 13 Sep 2020 13:32:12 +0200

The following bug is a regression since 27.1 introduced on master by
commit eae028b9e2c23f84dbd130d49da65f9db1db932f (found by bisection).

To reproduce, open the attached file 'mhtml-test.html' from
'emacs -Q'. The region from position 516 to 558 (approximately the
"button {cursor: pointer; }" part) is not recognized as being part of
the style block, and doesn't receive the correct mode (HTML+CSS).
-- Simen